Skip to content
Start here

Create new saved string queries in bulk

client.brandProtection.queries.bulk(QueryBulkParams { account_id, queries } params, RequestOptionsoptions?): void
POST/accounts/{account_id}/brand-protection/queries/bulk

Return a success message after creating new saved string queries in bulk

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params: QueryBulkParams { account_id, queries }
account_id: string

Path param

minLength1
queries?: Array<Record<string, unknown>>

Body param

Create new saved string queries in bulk

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.brandProtection.queries.bulk({ account_id: 'x' });
Returns Examples